=== translations/CMakeLists.txt ===
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
