=== src/src/CMakeLists.txt ===
#加载子模块
add_subdirectory(log)
#add_subdirectory(monitor)
add_subdirectory(aria2)
add_subdirectory(database)
add_subdirectory(ui)
add_subdirectory(downloader)
add_subdirectory(extensionService)
