=== debian/control ===
Source: downloadmanager
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 debhelper (>= 12),
 cmake,
 pkg-config,
 libqt5widgets5,
 qtbase5-dev,
 qttools5-dev,
 libqt5network5,
 libqt5webchannel5-dev,
 libqt5websockets5-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdframeworkdbus-dev,
 libgtest-dev,
 libgmock-dev,
 sqlite3,
 aria2,
 curl
Standards-Version: 4.1.3
Homepage: https://www.deepin.org/

Package: org.deepin.downloader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdlmaria2, libdlmcontrolui, libdlmdatabase, libdlmlog
Description: it's a user-friendly download manager, supporting URLs and torrent files.
 downloader for deepin desktop environment.

Package: libdlmaria2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, aria2, curl
Conflicts:
 org.deepin.downloader(<= 5.3.15)
Replaces:
 org.deepin.downloader(<= 5.3.15)
Description: download manager dlmaria2 lib.
 downloader for deepin desktop environment.

Package: libdlmcontrolui
Architecture: any
Conflicts:
 org.deepin.downloader(<= 5.3.15)
Replaces:
 org.deepin.downloader(<= 5.3.15)
Depends: ${shlibs:Depends}, ${misc:Depends}, curl
Description: download manager dlmcontrolui lib.
 downloader for deepin desktop environment.

Package: libdlmdatabase
Architecture: any
Conflicts:
 org.deepin.downloader(<= 5.3.15)
Replaces:
 org.deepin.downloader(<= 5.3.15)
Depends: ${shlibs:Depends}, ${misc:Depends}, sqlite3
Description: download manager dlmdatabase lib.
 downloader for deepin desktop environment.

Package: libdlmlog
Architecture: any
Conflicts:
 org.deepin.downloader(<= 5.3.15)
Replaces:
 org.deepin.downloader(<= 5.3.15)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: download manager dlmlog lib.
 downloader for deepin desktop environment.
