=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_test:
	# Disable auto tests at build time
