## downloadmanager 5.3.70

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 #工程名
 project(downloader)
-set(PROJECT_VERSION "5.3.69")
+set(PROJECT_VERSION "5.3.70")
 set(PROJECT_VERSION_MAJOR 5)
 set(QT_MIN_VERSION "5.11.0")
 set(DLM_NAME "downloader")
@@ -105,12 +105,14 @@
 ARCHIVE DESTINATION libstatic
 )
 
+if (USE_AM_DBUS)
+set(SERVICE_SCRIPT docs/dbus/startdlmservice.sh)
+else()
+set(SERVICE_SCRIPT docs/nodbus/startdlmservice.sh)
+endif()
+
 install(DIRECTORY ${APP_RES_DIR}/downloader DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 install(FILES docs/info.json DESTINATION share/downloader/extension/)
 install(FILES docs/ojlicckikdkkaclkpdddijgehekpmmbg.crx DESTINATION share/downloader/extension/)
 install(FILES docs/browser.downloader.autostart.json DESTINATION /etc/browser/native-messaging-hosts/)
-install(FILES docs/startdlmservice.sh DESTINATION /usr/libexec/openconnect/)
-
-
-
-
+install(FILES ${SERVICE_SCRIPT} DESTINATION /usr/libexec/openconnect/)
