=== src/src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #设置包含目录
 include_directories( ${PROJECT_SOURCE_DIR}/src/include/ui
                      ${PROJECT_SOURCE_DIR}/src/include/aria2
@@ -121,8 +125,19 @@
        ${QM_FILES}
 )
 
-target_link_libraries(dlmcontrolui dlmlog dlmaria2 dlmdatabase dtkcore  dtkwidget
-    Qt5::Core Qt5::Network Qt5::Widgets Qt5::Svg Qt5::DBus)
+target_link_libraries(dlmcontrolui 
+    dlmlog
+    dlmaria2
+    dlmdatabase
+    Dtk::Core
+    Dtk::Widget
+    Dtk::Gui
+    Qt5::Core
+    Qt5::Network
+    Qt5::Widgets
+    Qt5::Svg
+    Qt5::DBus
+)
 
 #install(TARGETS dlmcontrolui DESTINATION lib)
