=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
 
 Package: org.deepin.downloader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdlmaria2, libdlmcontrolui, libdlmdatabase, libdlmlog
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdlmaria2, 
+ libdlmcontrolui, libdlmdatabase, libdlmlog, libglib2.0-bin, dde-application-manager
 Description: it's a user-friendly download manager, supporting URLs and torrent files.
  downloader for deepin desktop environment.
