=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,10 @@
 
 override_dh_auto_test:
 	# Disable auto tests at build time
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	  -DUSE_AM_DBUS=ON \
+	  -DCMAKE_BUILD_TYPE=Release \
+	  -DCMAKE_INSTALL_PREFIX=/usr \
+      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib
